90 KEY OFF: CLS
100 BP%= 128                 ' BIPOLAR MODE (0 for unipolar)
110 CH% = 0                          ' input channel, 0 or 1
120 ADC% = &H230                     ' default port address
130 GOSUB 250                        ' calibration
140 IF INP(ADC%+3) > 127 THEN GOTO 140  'wait until done
150 OUT ADC% + 1, 1                  ' assert freeze
160 H = (INP(ADC% + 2) AND &HF)      ' get the 4 high bits
170 M = INP(ADC% + 1)                ' get middle byte
180 L = INP(ADC%)                    ' get low byte
190 OUT ADC% + 1, 0                  ' unfreeze
200 COUNT! = L + M * 256 + H * 65536! ' combine counts
210 PRINT USING "########"; COUNT!,  ' print count
220 VOLTS = COUNT! * 9.536743E-06 - 5 ' convert to volts
230 PRINT USING "#####.#####"; VOLTS  ' print volts
240 IF INKEY$="" THEN GOTO 140 ELSE END  ' press key to stop
250 PRINT "Calibrating"              ' begin cal routines
260 OUT ADC% + 1, 1                  ' freeze
270 OUT ADC%, 48 + BP%               ' offset calibration
280 OUT ADC%, 48 + 64 + BP%          ' set calibration bit
290 OUT ADC%, 48 + BP%               ' clear calibration bit
300 OUT ADC% + 1, 0                  ' unfreeze
310 IF INP(ADC%+3) > 127 THEN GOTO 310   'wait until done
320 OUT ADC% + 1, 1                  ' freeze
330 OUT ADC%, 32 + BP%               ' fullscale calibration
340 OUT ADC%, 32 + 64 + BP%          ' set calibration bit
350 OUT ADC%, 32 + BP%               ' clear calibration bit
360 OUT ADC% + 1, 0                  ' unfreeze
370 IF INP(ADC%+3) > 127 THEN GOTO 370   'wait until done
380 OUT ADC%, CH% * 16 + BP%         ' select channel
390 RETURN                           ' end of calibration

